
void photoMode()
{
  byte i;
  attachInterrupt(0, activeButtonISR, LOW);
  lcdClear(); 

  //todo want to implement other modes (only mirror is done so far) and break it up into functions to make it more readable.

  if (eepromReadInt(EEPROM_MODE) == MODE_MIRROR)
  {
    lcdPrintStr(0, 0, "Active - Mirror");

    while(g_menuMode == MENUMODE_PHOTO)
    {
      byte focus = digitalRead(SEN_FOCUS_PIN);
      byte shutter = digitalRead(SEN_SHUTTER_PIN);
      
      for(i=0; i<6; ++i)
        trigCam(i, focus, shutter);
    }  
  }
  else if (eepromReadInt(EEPROM_MODE) == MODE_SERIES)
  {
    lcdPrintStr(0, 0, "Active - Series");
  }
  else //(eepromReadInt(EEPROM_MODE) == MODE_CUSTOM
  {
    lcdPrintStr(0, 0, "Active - Custom");
  }

  for(i=0; i<6; ++i)
    trigCam(i, HIGH, HIGH);
  
}
